Subject: Re: bug#75304: 29.4; sshfs fails to mount when run by eshell and -f isn't passed

From: Jim Porter <[email-masked]>
Date: Sat, 11 Jan 2025 11:32:21 -0800

merge 56013 75304
thanks

On 1/2/2025 1:37 PM, Richard Sent wrote:
> If I set process-connection-type to nil, sshfs works as expected. This
> isn't ideal because it can cause breakage elsewhere (e.g. ripgrep).

If that's the case, then this is just bug#56013, which you linked to. 
That's not fixed yet, and there's not a great general solution for it 
(at least not one without extensive changes to process.c, which I'd 
rather avoid). A workaround in Eshell would be to change 
process-connection-type based on the program name, but in my tests that 
interacts badly with shell scripts, so would require a bit more work to 
support things like xdg-open.